package com.brilliance.isc.convert.mt1xx;
import com.brilliance.isc.swift.objmtconvert.annotation.model.MtCfg;
import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT192Creator;
import com.brilliance.isc.swift.objmtconvert.util.Constans;
import com.brilliance.isc.swift.objmtconvert.util.ResourceBundleControlEncode;
import org.junit.Test;

import java.lang.reflect.InvocationTargetException;
import java.util.Locale;
import java.util.Map;

import static com.brilliance.isc.swift.objmtconvert.util.Language.getLanguage;


public class Mt192Test {
    @Test
    public void mt192_Test()throws IllegalAccessException, NoSuchMethodException, InvocationTargetException {

        //构造参数传入MT报文类型
        MT192Creator mt192Creator=new MT192Creator("192");
        mt192Creator.setSendBic("PSBCCNBJXXX");
        mt192Creator.setRecvBic("CIPSCNSHXXX");
        mt192Creator.setTransactionReferenceNumber("RelatedReference");
        mt192Creator.setRelatedReference("RelatedReference");
        mt192Creator.setMtandDateoftheOriginalMessage("192"+ Constans.CRLF+"230228"+ Constans.CRLF+"1234567899");
        //mt192Creator.setNarrativeDescriptionoftheOriginalMessage("Narrative"+ Constans.CRLF+"RelatedReference");



        MtCreatorManager.packMT(mt192Creator);
    }







}
